Bug 988866 - Review Request:php-pecl-event - Provides interface to libevent library
Review Request:php-pecl-event - Provides interface to libevent library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 11:15 EDT by Remi Collet
Modified: 2014-04-04 05:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: php-pecl-event-1.9.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 05:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-07-26 11:15:24 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/af464cdc477c529ee2e1b22c37d4b14388b0159a/php/pecl/php-pecl-event/php-pecl-event.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-event-1.7.1-2.remi.src.rpm
Description: 
This is an extension to efficiently schedule I/O, time and signal based
events using the best I/O notification mechanism available for specific
platform. This is a port of libevent to the PHP infrastructure.

Version 1.0.0 introduces:
* new OO API breaking backwards compatibility
* support of libevent 2+ including HTTP, DNS, OpenSSL and the event listener.

Fedora Account System Username: remi
Comment 7 Adam Williamson 2014-01-10 18:45:14 EST
The spec linked in c#6 has a changelog indicating 1.8.1, but its Version field is still 1.8.0.
Comment 11 Remi Collet 2014-01-17 03:07:26 EST
Copr test build (Fedora and EPEL-7) in http://copr.fedoraproject.org/coprs/remi/morephp/monitor/
Comment 13 Remi Collet 2014-03-23 04:18:54 EDT
@adam: as you are still assigned to this review, can you please proceed ?
Comment 14 Adam Williamson 2014-03-23 12:01:10 EDT
god, sorry, I completely forgot. I'll do it tomorrow.
Comment 15 Adam Williamson 2014-03-25 15:56:33 EDT
[adamw@adam SRPMS]$ rpmlint php-pecl-event-1.9.1-1.remi.src.rpm 
php-pecl-event.src: W: spelling-error Summary(en_US) libevent -> lib event, lib-event, enlivenment
php-pecl-event.src: W: spelling-error %description -l en_US libevent -> lib event, lib-event, enlivenment
php-pecl-event.src: E: unknown-key GPG#00f97f56
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
[adamw@adam x86_64]$ rpmlint php-pecl-event-*
php-pecl-event.x86_64: W: spelling-error Summary(en_US) libevent -> lib event, lib-event, enlivenment
php-pecl-event.x86_64: W: spelling-error %description -l en_US libevent -> lib event, lib-event, enlivenment
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Those are all fine, the GPG key obviously won't happen in the Fedora build system.

All MUST guidelines at https://fedoraproject.org/wiki/Packaging:ReviewGuidelines are fine. SHOULD guidelines look good too. Review is APPROVED.

Is it really correct to ship the tests as docs? Maybe a separate subpackage would be better? Just a thought, not blocking review.
Comment 16 Remi Collet 2014-03-26 01:30:04 EDT
(In reply to Adam Williamson from comment #15)
> Is it really correct to ship the tests as docs? Maybe a separate subpackage
> would be better? Just a thought, not blocking review.

I mostly consider "tests" as "examples" of using the library, so I think providing them as %doc makes sense.

I only provides tests for 2 reasons
- examples
- be consistent with "pecl list-files foo"

For some extensions, when a -devel subpackage exists (for headers) I also put examples and tests in this subpackage. Or when test suite is very large.


Thanks for the review.
Comment 17 Remi Collet 2014-03-26 01:31:00 EDT
New Package SCM Request
=======================
Package Name: php-pecl-event
Short Description: Provides interface to libevent library
Owners: remi
Branches: f20 epel7
InitialCC:
Comment 18 Gwyn Ciesla 2014-03-26 08:01:51 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2014-03-26 08:59:44 EDT
php-pecl-event-1.9.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pecl-event-1.9.1-1.fc20
Comment 20 Fedora Update System 2014-03-27 00:42:25 EDT
php-pecl-event-1.9.1-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 21 Fedora Update System 2014-04-04 05:39:48 EDT
php-pecl-event-1.9.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.